Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[SOLVED]Installation woes


Nakranoth
 Share

Recommended Posts

I'm running into some issues setting up my forge development area so that reobfuscate.sh makes my mod actually recognize the vanilla file names (imports).

 

From a fresh forge folder, running install.sh makes it all the way to MCP's recompiling area, then pops:

 

== MCP 7.25 (data: 7.25, client: 1.4.6, server: 1.4.6) ==

== Recompiling client ==

> Cleaning bin

> Recompiling

'"javac" -encoding UTF-8 -Xlint:-options -deprecation -g -source 1.6 -target 1.6 -classpath "lib:lib/...' failed : 1

 

== ERRORS FOUND ==

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderHelper.java:37: warning: [deprecation] cpw.mods.fml.common.IDispenseHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenseHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderHelper.java:38: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenserHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderHelper.java:185: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

    public static IDispenserHandler buildDispenseHelper(BaseModProxy mod)

                  ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderDispenseHelper.java:8: warning: [deprecation] cpw.mods.fml.common.IDispenseHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenseHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderDispenseHelper.java:9: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenserHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderDispenseHelper.java:11: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

public class ModLoaderDispenseHelper implements IDispenserHandler

                                                ^

 

src/minecraft/cpw/mods/fml/common/registry/GameRegistry.java:39: warning: [deprecation] cpw.mods.fml.common.IDispenseHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenseHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/registry/GameRegistry.java:40: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

import cpw.mods.fml.common.IDispenserHandler;

                          ^

 

src/minecraft/cpw/mods/fml/common/registry/GameRegistry.java:100: warning: [deprecation] cpw.mods.fml.common.IDispenserHandler in cpw.mods.fml.common has been deprecated

    public static void registerDispenserHandler(IDispenserHandler handler)

                                                ^

 

src/minecraft/cpw/mods/fml/common/registry/GameRegistry.java:109: warning: [deprecation] cpw.mods.fml.common.IDispenseHandler in cpw.mods.fml.common has been deprecated

    public static void registerDispenserHandler(final IDispenseHandler handler)

                                                      ^

 

src/minecraft/net/minecraft/src/ModLoader.java:490: type parameters of <T>T cannot be determined; no unique maximal instance exists for type variable T with upper bounds T,java.lang.Object

        return ObfuscationReflectionHelper.getPrivateValue(instanceclass, instance, fieldindex);

                                                          ^

 

src/minecraft/net/minecraft/src/ModLoader.java:504: type parameters of <T>T cannot be determined; no unique maximal instance exists for type variable T with upper bounds T,java.lang.Object

        return ObfuscationReflectionHelper.getPrivateValue(instanceclass, instance, field);

                                                          ^

 

src/minecraft/net/minecraft/src/ModLoader.java:638: warning: [deprecation] registerBlock(net.minecraft.block.Block) in cpw.mods.fml.common.registry.GameRegistry has been deprecated

        GameRegistry.registerBlock(block);

                    ^

 

src/minecraft/net/minecraft/src/ModLoader.java:649: warning: [deprecation] registerBlock(net.minecraft.block.Block,java.lang.Class<? extends net.minecraft.item.ItemBlock>) in cpw.mods.fml.common.registry.GameRegistry has been deprecated

        GameRegistry.registerBlock(block, itemclass);

                    ^

 

src/minecraft/cpw/mods/fml/common/ObfuscationReflectionHelper.java:37: type parameters of <T>T cannot be determined; no unique maximal instance exists for type variable T with upper bounds T,java.lang.Object

            return ReflectionHelper.getPrivateValue(classToAccess, instance, fieldIndex);

                                                  ^

 

src/minecraft/cpw/mods/fml/common/ObfuscationReflectionHelper.java:51: type parameters of <T>T cannot be determined; no unique maximal instance exists for type variable T with upper bounds T,java.lang.Object

            return ReflectionHelper.getPrivateValue(classToAccess, instance, fieldNames);

                                                  ^

 

src/minecraft/cpw/mods/fml/common/modloader/ModLoaderModContainer.java:528: warning: [deprecation] registerDispenserHandler(cpw.mods.fml.common.IDispenserHandler) in cpw.mods.fml.common.registry.GameRegistry has been deprecated

            GameRegistry.registerDispenserHandler(ModLoaderHelper.buildDispenseHelper(mod));

                        ^

 

4 errors

13 warnings

==================

 

Client recompile failed, correct source then rerun updatemd5

=============================== Minecraft Forge Setup Finished =================================

 

 

I figured that since it happened after decompilation time, it would be fine, and from Eclipse, it was. Unfortunately reobfuscate.sh both finds all of forge etc, and doesn't change my includes to the correct vanilla reobfuscated names (as opposed to the new forge package setup). So, my mod fails when loaded.

 

I've spent all day on this, what have I done wrong?

 

If it's relevant, I've tried it on builds 471 and 486.

Link to comment
Share on other sites

From the Readme:

Requirements:

  You must have a JDK installed and accessible, there is a bug in java 1.6_21 that

  causes compile errors, just update your jdk to fix them.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Patreon: http://www.patreon.com/lexmanos
Paypal: http://paypal.me/LexManos

BitCoin: 1Q8rWvUNMM2T1ZfDaFeeYQyVXtYoeT6tTn

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.